Quassel IRC - Bug #1225

Authserv rejects passwords sent by Quassel
05/23/2013 09:52 AM - bkloster

Status: Closed Start date: 05/23/2013
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Core Estimated time: 0.00 hour

Target version:

Version: 0.9-pre 0S: Any

Description

After registering an account at gamesurge.net, | tried logging in by entering "/authserv auth [user] [pass]" into Quassel while
connected to the gamesurge network. Authserv rejected the password as incorrect. Using gamesurge's web client (
https://gamesurge.net/chat/), the same password is accepted.

The same issue happened with authserv's cookies. Although copied & pasted from the email, authserv didn't recognize the cookie.
The web client did.

| was able to reproduce this in Quassel v0.9.0 (dist-3b9dd10), on both Windows 7 and Ubuntu 13.04 (both 64 bit).

Related issues:
Is duplicate of Quassel IRC - Bug #1173: Quassel adding invalid : on custom s... Resolved 06/12/2012

History

#1 - 05/23/2013 12:13 PM - Anonymous
- Category changed from Quassel Client to Quassel Core

- Status changed from New to Feedback

Probably related to the superfluous colon on what quassel thinks is the last param; can you try “/quote authserv <user> <pass>" instead and report
back?

#2 - 05/23/2013 05:31 PM - bkloster
That did it, thank you!

For anyone googling this: The complete correct command is

/quote authserv auth <user> <pass>

#3 - 05/23/2013 06:58 PM - Anonymous
- Status changed from Feedback to Closed

Thanks for confirming; closing as dupe.
